function [predictions] = applyweights(wvecs, data)
%% computes one output probability per case for each weightvector in wvecs

numcases=size(data,1);

%%net has one hidden unit
hidacts = 1./(1+exp( - wvecs(:,1:2)*data'));

fromhid = hidacts.*repmat(wvecs(:,4), 1, numcases);
frominput1 = wvecs(:,3)*data(:,1)';

predictions = 1./(1+exp(-fromhid -frominput1));
